package com.bonus.gs.sub.evaluate.evaluate.beans;

/**
 * @author xliu
 * @date 2024/11/15 18:49
 * 班组评价-实体类
 */
public class TeamEvaluateBean {

    private Integer id;
    /**
     * 班组id
     */
    private Integer teamId;
    /**
     * 当前登录人的deptId 和 parentId 可以审核
     */
    private Integer parentId;
    /**班组名称*/
    private String teamName;
    /**班长*/
    private String userName;
    /**班长联系方式*/
    private String phone;
    /**外包商id*/
    private Integer subId;
    /**外包商名称*/
    private String subName;
    /**项目Id*/
    private Integer proId;
    /**项目名称*/
    private String proName;
    /**项目经理*/
    private String manager;
    /**评价时间*/
    private String evaluateTime;
    /**评价等级,1234对应优良中差*/
    private String level;
    /**评价内容*/
    private String mark;
    /**0待评价;1已评价*/
    private String evStatus;
    /**0待审核;1审核通过;2审核驳回，需重新评价*/
    private String checkStatus;
    /**驳回原因*/
    private String rejectReason;
    /**评价人id*/
    private Integer evUserId;
    /**评价人名称*/
    private String evUserName;
    /**审核人id*/
    private Integer checkUserId;
    /**审核人名称*/
    private String checkUserName;


    private String idCard;

    private String orgRelId;

    /**
     * 操作类型 1.评价 2.审核 3.重新评价
     */
    private int operType;

    private String keyWord;
    /**开始日期*/
    private String startDate;
    /**结束日期*/
    private String endDate;

    /**项目经理的手机号*/
    private String sendPhone;

    private String roleId;
    private String status;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getOrgRelId() {
        return orgRelId;
    }

    public void setOrgRelId(String orgRelId) {
        this.orgRelId = orgRelId;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTeamId() {
        return teamId;
    }

    public void setTeamId(Integer teamId) {
        this.teamId = teamId;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getSubId() {
        return subId;
    }

    public void setSubId(Integer subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Integer getProId() {
        return proId;
    }

    public void setProId(Integer proId) {
        this.proId = proId;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public String getEvaluateTime() {
        return evaluateTime;
    }

    public void setEvaluateTime(String evaluateTime) {
        this.evaluateTime = evaluateTime;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getEvStatus() {
        return evStatus;
    }

    public void setEvStatus(String evStatus) {
        this.evStatus = evStatus;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public Integer getEvUserId() {
        return evUserId;
    }

    public void setEvUserId(Integer evUserId) {
        this.evUserId = evUserId;
    }

    public String getEvUserName() {
        return evUserName;
    }

    public void setEvUserName(String evUserName) {
        this.evUserName = evUserName;
    }

    public Integer getCheckUserId() {
        return checkUserId;
    }

    public void setCheckUserId(Integer checkUserId) {
        this.checkUserId = checkUserId;
    }

    public String getCheckUserName() {
        return checkUserName;
    }

    public void setCheckUserName(String checkUserName) {
        this.checkUserName = checkUserName;
    }

    public int getOperType() {
        return operType;
    }

    public void setOperType(int operType) {
        this.operType = operType;
    }

    public String getKeyWord() {
        return keyWord;
    }

    public void setKeyWord(String keyWord) {
        this.keyWord = keyWord;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSendPhone() {
        return sendPhone;
    }

    public void setSendPhone(String sendPhone) {
        this.sendPhone = sendPhone;
    }
}
